image: node

stages:
  - build
  - test
  - deploy
  
build site:
  stage: build
  artifacts:
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME"
    when: always
    expire_in: 2h20min
    paths:
      - ./website/build/estudo_ci
  script:
    - cd website
    - npm install
    - npm run build
